# oscam.conf

Section: File Formats (5)
Index Return to Main Contents

## NAME

oscam.conf - main configuration file for OSCam

## SYNOPSIS

The main configuration file for OSCam contains global parameters such as debugging, logging, monitor, protocols and anti-cascading. sections in oscam.conf are nonrecurring. The [global] section is required. All other sections are optional.

## DESCRIPTIONS

### The [global] section

nice = -20..+20

  system priority, default:99

pidfile = filename

  set PID file, default:none

logfile = [filename][;syslog][;stdout]

  logging targets, default:/var/log/oscam.log. You can define a maximum of one filename and additionally to log to stdout or syslog (you can also only log to stdout or syslog and omit the filename).

PP initial_debuglevel = level

  set initial debug level for OSCam start, default:0

PP sysloghost = hostname

  set remote syslog host, default:none

syslogport = port

  set TCP/IP port for remote syslog host, default:none

ecmfmt = format

  define ECM log format, default:c&p/i/s/l:h

  possible variables:

  c = CAID
  d = PID
  e = CSP hash
  g = ID of origin gbox peer
  h = checksum
  i = channel ID
  j = distance of gbox hops
  l = length
  o = ONID
  p = provider ID
  s = service ID
  w = CW
  y = payload

  use a value as prefix to hide variable with this value, control characters will be escaped by "\"

  example: ecmfmt = c&0p/i/d/s/l:h.e_w
  (hide provider ID if 0)

loghistorylines = lines

  size of log message history in web interface or monitor, 0 = disabled, default:256

maxlogsize = kbytes

  maximum log file size, 0 = unlimited, default:10

logduplicatelines = 0|1

  1 = enable logging of duplicate lines in the log, default:0

disablelog = 0|1

  1 = disable log file, default:0

cwlogdir = path

  directory for CW logging, default:config dir

emmlogdir = path

  directory for EMM logging, default:config dir

usrfile = filename

  log file for user logging, default:none

  log file format:

  date
  time
  CWs per second
  username
  IP address of client
  TCP/IP port
  CWs found
  CWs from cache
  CWs not found
  CWs ignored
  CWs timed out
  CWs tunneled
  login time in unix/POSIX format
  logout time in unix/POSIX format
  protocol

disableuserfile = 0|1

  1 = avoid logging although userfile is set, default:1 (also set automatically if userfile is empty)

usrfileflag = 0|1

  usrfile logging mode:

  0 = only client logon/logoff will be logged in usrfile (default)
  1 = each zapping of a client will be logged in usrfile

disablemail = 0|1

  1 = disable saving NDS Videoguard mail messages from provider, default:1

mailfile = file

  define file saving NDS Videoguard mail messages from provider, default:none

enableled = 0|1|2

  0 = LED support disabled (default)
  1 = LED support enabled for routers
  2 = LED support enabled for Qbox HD

waitforcards = 0|1

  1 = wait for local SCs on startup before opening network ports, default:1

waitforcards_extra_delay = delay

  additional delay in milli-seconds after waiting for local SCs on startup before opening network ports, default:500

preferlocalcards = 0|1

  SC decoding behavior:

  0 = local SCs used like a remote reader
  1 = prefer cache exchange based SCs (default)
  2 = prefer local SCs

readerrestartseconds = seconds

  seconds beetween restarts, 0 = disable reader restart, default:5

block_same_ip = 0|1

  1 = reject looping ECMs from clients to readers with the same IP address, default:1

block_same_name = 0|1

  1 = reject looping ECMs from clients to readers with the same name, default:1

clienttimeout = milli-seconds|seconds

  value (clienttimeout in seconds < 100, else milli-seconds) for client process to wait for key, default:5

clientmaxidle = seconds

  value for client process being idle before disconnect, 0 = idle disconnect disabled, default:120

suppresscmd08 = 0|1

  0 = tell camd 3.5x, 3.57x and 3.78x clients not to request again for rejected CAID, service ID and provider ID combination, 1 = disable, can be overwritten per user in oscam.user, default:0

fallbacktimeout = milli-seconds

  time falling back to fallback reader, default:2500

fallbacktimeout_percaid = milli-seconds

  time falling back to CAID restricted fallback reader, default:2500

sleep = minutes

  time waiting for inactive users, default:none, can be overwritten per user in oscam.user

serverip = IP address

  bind service to specified IP address, default:none

bindwait = seconds

  value to wait for bind request to complete, default:120

netprio = 0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|19|20

  value for network priority:
  IPP value will be applied to SO_PRIORITY (system internal prioritization)
  DSCP value will be applied to IP_TOS/IPV6_TCLASS (the TOS field in the IP packet header)

  0 = IPP=0; DSCP=CS0 (default)
  1 = IPP=1; DSCP=CS1
  2 = IPP=1; DSCP=AF11
  3 = IPP=1; DSCP=AF12
  4 = IPP=1; DSCP=AF13
  5 = IPP=2; DSCP=CS2
  6 = IPP=2; DSCP=AF21
  7 = IPP=2; DSCP=AF22
  8 = IPP=2; DSCP=AF23
  9 = IPP=3; DSCP=CS3
  10 = IPP=3; DSCP=AF31
  11 = IPP=3; DSCP=AF32
  12 = IPP=3; DSCP=AF33
  13 = IPP=4; DSCP=CS4
  14 = IPP=4; DSCP=AF41
  15 = IPP=4; DSCP=AF42
  16 = IPP=4; DSCP=AF43
  17 = IPP=5; DSCP=CS5
  18 = IPP=5; DSCP=EF
  19 = IPP=6; DSCP=CS6
  20 = IPP=7; DSCP=CS7

resolvegethostbyname = 0|1

  set mode for DNS resolving:

  0 = getadressinfo (default)
  1 = gethostbyname

failbancount = count

  number of incorrect logins after an ip address will be blocked, default:0

failbantime = minutes

  time for IP based blocking for clients with an invalid login attempt, 0 = failban is disabled, default:0

dropdups = 0|1

  mode for duplicate client connections (requirement: uniq > 0):

  0 = mark client as duplicate, but don't disconnect them (default)
  1 = drop duplicate connections instead of marking as duplicate

unlockparental = 0|1

  1 = unlock parental mode option to disable Seca and Viaccess pin code request for adult movie, default:0

double_check = 0|1

  1 = ECM will be send to two or more readers with the same SC and the CWs will be verified against each other, lb_nbest_readers must be set to 2 or higher, default:0

double_check_caid = [CAID1|first two digits of CAID1],[CAID2|first two digits of CAID2]...

  ECM will be send to two or more readers with the same SC and the CWs will be verified against each other for defined CAID or first two bytes of CAID, lb_nbest_readers must be set to 2 or higher, default:none

getblockemmauprovid = 0|1

  1 = server overrides EMM blocking defined on client site, default:0

lb_mode = mode

  load balancing mode:

  0 = load balance disabled, ECMs go to all readers (default)
  1 = fastest reader first, after 5 ECMs the reader with the fastest
  response time will be selected
  2 = oldest reader first, reader with the longest no answer
  3 = lowest usage level, the usage level will be calculated by the
  sum of 5 ECMS response times, the higher a reader is busy, the
  higher is usage level

lb_save = 0|counts

  save auto load balance statistics:

  0 = saving of auto load balance statistics disabled (default)
  counts = save auto load balance statistics every counts ECMs
  (minimum 100)

  To save CPU power a minimum counts of 100 is recommended.

lb_nbest_readers = counts

  set count of best readers for load balancing, default:1

lb_nfb_readers = counts

  set count of fallback readers for load balancing, default:1

lb_nbest_percaid = CAID1:count1[,CAID2:count2]...

  set count of best readers per CAIDs for load balancing, wildcard CAIDs with two-digit CAIDs possible, default:none

  example: lb_nbest_percaid = 0100:4,0200:3,03:2,04:1
  (wildcard CAIDs 03xx and 04xx)

lb_min_ecmcount = counts

  minimal ECM count to evaluate load balancing values, default:5

lb_max_ecmcount = counts

  maximum ECM count before resetting load balancing values, default:500

lb_reopen_seconds = seconds

  time between retrying failed load balanced readers/CAIDs/providers/services, default:900

lb_reopen_invalid = 0|fB1

  0 = E_INVALID will be blocked until statistics has been cleaned, default:1

lb_force_reopen_always = 0|1

  1 = force reopening immediately all failing readers if no matching reader was found, default:0

lb_retrylimit = milli-seconds

  retry next load balanced reader only if response time is higher then lb_retrylimit, default:0

lb_savepath = filename

  filenanme for saving load balancing statistics, default:/tmp/.oscam/stat

lb_stat_cleanup = hour

  hours after the load balancing statistics will be deleted, default:336

lb_retrylimits = CAID1:time1[,CAID2:time2]...

  load balancing retry limit time per CAID, wildcard CAIDs with two-digit CAIDs possible, default:none

  example: lb_retrylimits = 12:0100,34:0200,5678:0300
  (wildcard CAIDs 12xx and 34xx)

lb_noproviderforcaid = CAID1[,CAID2]...

  ignore provider information for CAIDs to reduce load balancing statistic data, wildcard CAIDs with two-digit CAIDs possible, default:none

  example: lb_noproviderforcaid = 0100,02,0300,04
  (wildcard CAIDs 02xx and 04xx)

lb_max_readers = limit

  restrict the reader count to limit during load balancing learning:

  0 = unlimited (default)
  limit = restrict load balancer readers to limit

lb_auto_timeout = 0|1

  1 = enable automatic timeout based on load balancing statistics, default:0

lb_auto_timeout_p = percent

  percent added to average time as timeout time, default:30

lb_auto_timeout_t = milli seconds

  minimal time added to average time as timeout time, default:300

lb_auto_betatunnel = 0|1

  1 = enable automatic Betacrypt tunneling detection for CAIDs 1801, 1833, 1834, and 1835 for load balancing, Betacrypt defintion in oscam.user with betatunnel will be prefered, default:1

lb_auto_betatunnel_mode = 0|1|2

  set mode for automatic Betacrypt tunneling:

  0 = CAID 18XX tunneling to CAID 17X2 only (default)
  1 = CAID 18XX tunneling to CAID 17X2 and CAID 17X2 tunneling to CAID 18XX (CAID 1833/1801)
  2 = CAID 18XX tunneling to CAID 17X2 and CAID 17X2 tunneling to CAID 18XX (CAID 1833/1834)
  3 = CAID 18XX tunneling to CAID 17X2 and CAID 17X2 tunneling to CAID 18XX (CAID 1833/1835)
  4 = CAID 17X2 tunneling to CAID 18XX (CAID 1833/1801 only)
  5 = CAID 17X2 tunneling to CAID 18XX (CAID 1833/1834 only)
  6 = CAID 17X2 tunneling to CAID 18XX (CAID 1833/1835 only)

lb_auto_betatunnel_prefer_beta = direction

  set direction for automatic Betacrypt/Nagravision selection:

  0 = disabled (default)
  1 = always Betacrypt
  105 = represents the middle
  200 = always Nagravision

### The [monitor] section

port = 0|port

  UDP port for monitor, 0 = monitor disabled, default:0

serverip = IP address

  bind service to specified IP address, default:all

nocrypt = IP address|IP address range[,IP address|IP address range]...

  unsecured monitor connection, default:none

  example: nocrypt = 127.0.0.1,192.168.0.0-192.168.255.255

aulow = minutes

  time no EMM occurs so that client is set to low, switch from status "active" to "on", default:30

monlevel = 0|1|2|3|4

  monitor level:

  0 = no access to monitor
  1 = only server and own procs
  2 = all procs, but viewing only (default)
  3 = all procs, reload of oscam.user possible
  4 = complete access

  monlevel can be overwritten per user in oscam.user.

hideclient_to = seconds

  time to hide clients in the monitor if not sending requests, 0 = disabled, default:25

### The [webif] section

httpport = [+]port

  port for web interface, 0 = disabled, praefix + = enable SSL, default:none, required

httpcert = file

  file for http SSL certificate, default:oscam.pem

httpforcesslv3 = 0|1

  1 = force using SSLv3, default:0

httpuser = username

  username for password protection, default:none

httppwd = password

  password for password protection, default:none

httpcss = path

  path for external CSS file, default:none

http_prepend_embedded_css = 0|1

  1 = embedded CSS will be added before external CSS , default:0

httptpl = path

  path for external templates and picons, multiple simultaneously templates and picons are possible by creating sub folders (maximum length of 32 alphanumeric characters), sub folders naming is corresponding to sub folder in URL, default:none

  example: httptpl = /this/is/my/path

  folder with multiple templates:
  /this/is/my/path/template1
  /this/is/my/path/template2

  valid URLs:
  http://host:port/template1
  http://host:port/template2

httpjscript = path

  path for oscam.js javascript, default:none

httprefresh = seconds

  status refresh in seconds, default:none

httphideidleclients = 0|1

  1 = enables hiding clients after idle time set in parameter hideclient_to, default:0

httphidetype = type[type]...

  characters defining columns to hide in web interface status page (see type column), default:none

  types:

  'c': client
  'h': http
  'm': monitor
  'p': proxy
  'r': reader
  's': server
  'x': cache exchange

httpscript = path

  path to an executable script which you wish to start from web interface, default:none

httpallowed = IP address|IP address range[,IP address|IP address range]...

  http web interface connections allowed, default:127.0.0.1,192.168.0.0-192.168.255.255,10.0.0.0-10.255.255.255,::1
  example: httpallowed = 127.0.0.1,192.168.0.0-192.168.255.255

httpdyndns = hostname[,hostname][,hostname]

  http web interface connections allowed, default:none
  example: httpdyndns = host.example.com
  httpdyndns = host1.example.com,host2.example.com

httpsavefullcfg = 0|1

  write config:

  0 = all not empty parameters, all not default parameters, all
  parameters not containing the same value as the same
  parameter in global configuration (default)
  1 = all parameters

httpoverwritebakfile = 0|1

  1 = overwrite backup configuration files, default:0

httpreadonly = 0|1

  1 = read only modus for web interface, default:0

httpshowpicons = 0|1

  1 = show picons in user list, default:0

httppiconpath = path

  path to picons, default:none

httphelplang = en|de|fr|<available wiki languages>

  set right language for wiki entry point, default:en

httplocale = environment

  set the locale environment, default:none

### The [lcd] section

httposcamlabel = text

  set individual label in web interface header, default:OSCam

enablelcd = 0|1

  1 =enable LCD output, default:0

lcd_outputpath = path

  path for LCD output, default:/tmp

lcd_hideidle = 0|1

  1 = hide reader in LCD output if reader idle > 20 seconds, default:0

lcd_writeintervall = seconds

  LCD refresh interval (minimum 5), default:10

### The [cache] section

delay = milli-seconds

  value to delay cached requests, default:0

max_time = seconds

  maximum time CWs resist in cache, the time must be 2 seconds highter than the parameter clienttimeout, default:15

max_hit_time = seconds

  maximum time for cache exchange hits resist in cache for evaluating wait_time, default:15

wait_time = [caid][&mask][@provid][$servid][:awtime][:]dwtime[,[caid][&mask][@provid][$servid][:awtime][:]dwtime]...

  wait time in milli-seconds for cache exchange and Cardservproxy before sending ECMs to reader or proxy, default:none

  example: wait_time = 0:50:250,0200@00009X:50:150,15:950,0500@000001:150,1602&ffdf:1200

cacheexenablestats = 0|1

  1 = enable statistics for cache exchange mode, default:0

  Please consider memory consumption.

cacheex_cw_check = [caid][&mask][@provid][$servid]:mode:counter[,[caid][&mask][@provid][$servid]:mode:counter]...

  mode = specify behaviour for counter:
  0 = when wait_time expires, serve highest counter's CW
  got anyway, even if no counter reached (default)
  1 = never serve CW from cache exchange stored in cache,
  if it's counter not reaches counter. When wait_time
  expires, requests will go to normal readers
  counter = set minimum CW counter to allow CW is used, default:1

cacheex_mode1_delay = CAID1:time,[BCAID2:time]...

  delay in milli-seconds for asking cache exchange mode 1 readers, default:none

csp_port = port

  UDP port of Cardservproxy for cache exchange, default:none

csp_serverip = IP

  bind Cardservproxy for cache exchange to specified IP address, default:none

csp_ecm_filter = [caid][&mask][@provid][$servid][,[caid][&mask][@provid][$servid]]...

  Cardservproxy incoming ECM filter setting, default:none

csp_allow_request = 0|1

  allow incoming ECM request from Cardservproxy, default:1

csp_allow_reforward = 0|1

  1 = reforward other cacheex updates to Cardservproxy peers, option could cause loops, default:0

cwcycle_check_enable = 0|1

  1 = enable CW cycle check, default:0

cwcycle_check_caid = CAID[,CAID]...

  CAID enabled for CW cycle check, default:none

cwcycle_maxlist = count

  maximum CW cycle list entries, default:500, maximum:4000

cwcycle_keeptime = minutes

  minimum time a learned cycle time resists in memory, default:15, maximum:15

cwcycle_onbad = 0|1

  0 = log bad CW cycle only, 1 = drop bad CW cycle, default:1

cwcycle_dropold = 0|1

  1= drop old CW cycle, default:1

cwcycle_sensitive = 0|2|3|4

  drop CW mode:

  0 = disabled
  2 = 2 (or more) same bytes and drop new CW
  3 = 3 (or more) same bytes and drop new CW
  4 = 4 (or more) same bytes and drop new CW (default)

cwcycle_allowbadfromffb = 0|1

  1 = allow bad cycles from a fixed fallback reader, default:0

cwcycle_usecwcfromce = 0|1

  1 = use CW info from cache exchange, default:0

wait_until_ctimeout = 0|1

  answer when cache exchange timeout expires, if no normal readers are available for sending ECMs:

  0 = immediately send 'not found' to client (default)
  1 = wait for cache exchange answer until client timeout expires

### The [camd33] section

port = 0|port

  TCP port for camd 3.3x clients, 0 = disabled, default:0

serverip = IP address

  bind service to specified IP address, default:all

nocrypt = IP address|IP address range[,IP address|IP address range]...

  unsecured camd 3.3x client connection, default:none

  example: nocrypt = 127.0.0.1,192.168.0.0-192.168.255.255

passive = 0|1

  1 = force passive camd 3.3x client, default:0

key = 128 bit key

  key for camd 3.3x client encryption, default:none

  example: key = 01020304050607080910111213141516

### The [cs357x] section

port = 0|port

  UDP port for camd 3.57x clients, 0 = disabled, default:0

serverip = IP address

  bind service to specified IP address, default:all

suppresscmd08 = 0|1

  0 = tell camd 3.5x / 3.57x clients not to request again for rejected CAID, service ID and provider ID combination, 1 = disable, can be overwritten per user in oscam.user, default:0

### The [cs378x] section

port = 0|port[@CAID][:provid][,provid]...[;port@CAID[:provid][,provid]...]...

  TCP port/CAID/provid definitions for camd 3.78x clients, 0 = disabled, default:0

  examples: port = 10000@0100:100000;20000@0200:200000,300000,400000
  port = 30000

serverip = IP address

  bind service to specified IP address, default:all

keepalive = 0|1

  0 = disable camd 3.78x keepalive modus, default:0

suppresscmd08 = 0|1

  0 = tell camd 3.78x clients not to request again for rejected CAID, service ID and provider ID combination, 1 = disable, can be overwritten per user in oscam.user, default:0

### The [newcamd] section

key = DES key

  default key for newcamd client encryption, default:none

  example: key = 0102030405060708091011121314

port = port[{DES key}]@CAID[:provid][,provid]...[;port[{DES key}]@CAID[:provid][,provid]...]...

  TCP port/DES key/CAID/provid definitions, default:none

  example: port = 10000@0100:100000;20000{0102030405060708091011121314}@0200:200000,300000

  Each CAID requires a separate port. If you don't specify a DES key for a port, the default DES key will be used.

serverip = IP address

  bind newcamd service to specified IP address, default:all

allowed = IP address|IP address range[,IP address|IP address range]...

  newcamd client connections allowed from, default:none

  example: allowed = 127.0.0.1,192.168.0.0-192.168.255.255,::1

keepalive = 0|1

  0 = disable newcamd keepalive modus, default:0

mgclient = 0|1

  1 = provide share information of all available CAIDs and provider IDs to mgcamd clients, default:0

### The [radegast] section

port = 0|port

  TCP/IP port for radegast clients, 0 = disabled, default:0

serverip = IP address

  bind service to specified IP address, default:all

allowed = IP address|IP address range[,IP address|IP address range]...

  client connections allowed from, default:none

  example: allowed = 127.0.0.1,192.168.0.0-192.168.255.255

user = username

  user name for radegast client

### The [serial] section

device = <user>@<device>[:baud][?option1=value1[&option2=value2]...]
[;<user>@<device>[:baud][?option1=value1[&option2=value2]...]]...

  parameters:
  user = account
  device = serial device name|hostname|IP,port
  baud = serial port speed (for serial devices only)
  option = timeout = milli-seconds, timeout for connection,
  default:50
  delay = milli-seconds, additional delay between two
  characters, default:0

  supported serial devices (autodection):
  HSIC (humax sharing interface client)
  SSSP (simple serial sharing protocol)
  bomba (BOMBA firmware)
  dsr9500 (DSR 9500)
  example: user1@/dev/ttyS1:115200?delay=1&timeout=5000
  user2@192.160.0.1,12345?delay=1&timeout=5000

### The [cccam] section

port = 0|port[,0|port]...

  TCP/IP ports for CCcam clients, 0 = disabled, default:0

version = <main version>.<version>.<sub version>

  define CCcam version, minimum CCcam version 2.0.11, used with original CCcam only, default:none

  example: version = 1.2.34

reshare = level

  reshare level for CCcam clients (default:10):

  -1 = no resharing
  0 = resharing for direct peer only
  1 = resharing for direct peer and next level
  x = resharing for direct peer and next x level

reshare_mode = mode

  CCcam reshare mode:

  0 = reader reshares only received SCs for CCcam readers,
  defined filters/CAIDs/provids on other readers
  1 = reader reshares received SCs (like=0) and defined services
  2 = reader reshares only defined reader services as virtual SCs
  3 = reader reshares only defined user services as virtual SCs
  4 = reader reshares only received SCs (default)

  Every server is shared as hop = 0 and with defined reshare values.

  Service reshare only works if positive services defined: no service - no reshare!

ignorereshare = 0|1

  CCcam reshare setting:

  0 = use reshare setting of server (default)
  1 = use reshare setting of reader or user

stealth = 0|1

  1 = behaviour like the original CCcam: no activate partner detection and extended OSCam-CCcam protocol, prevent other OSCam to detect the server as OSCam server, default:0

minimizecards = mode

  mode how to provide CCcam servers to CCcam clients:

  0 = no aggregation, remove duplicates only (default)
  1 = based on minimum hop: two SCs with different hops are
  summarized, new SCs get a smaller hop
  2 = aggregation based on CAIDs: all SCs with the same CAIDs
  will be merged, provider (maximum 32) will be merged, too

updateinterval = seconds

  interval to provide share list update to CCcam clients, values <= 10 are invalid and will be set to 30, default:240

keepconnected = 0|1

  set CCcam keepalive modus:

  0 = disconnect client when maximum idle time is reached
  1 = keep client connected (default)

recv_timeout = milli-seconds

  set network timeout for receiving data, default:2000

forward_origin_card = 0|1

  1 = forward ECM request to reader holding this card, load balancer, fallback and caching will be disabled, default:0

nodeid = ID

  set CCcam node ID in hex, default:none

  example: nodeid = 0a0b0c0d0e0f1011

### The [gbox] section

hostname = hostname| IP address

  set hostname or IP address for gbox protocol, default:none

port = port[,port]...

  UDP port for gbox server, default:0

my_password = password

  password for connection to local gbox peer, default:none

proxy_card = <CAID><provid>[,<CAID><provid>]...

  proxy reader SCs to be reshared into gbox network, default:none

ccc_reshare = 0|1

  1 = enable CCCam reshare, default:0

my_vers = version

  set gbox version in hexadecimal low byte, default:2A

my_cpu_api = byte

  set gbox CPU and API byte in hexadecimal, default:40

gbox_reconnect = time

  send message to peers in seconds, default:180, min:60, max:300

log_hello = 0|1

  1 = log hello messages, default:1

dis_attack_txt = 0|1

  1 = disable attack.txt, default:0

gsms_disable = 0|1

  1 = disable gbox short message service (GSMS), default:1

  sending a messeage: /tmp/gsms.txt: <box ID> <1=mormal message|2=OSD/TV message> <message 6 to 127 characters>, status will be stored in '/tmp/gsms.ack' respective 'gsms.nack', receiving a message: The message will be stored in /tmp/gsms.log

tmp_dir = path

  temporary directory for gbox, default:/tmp/.oscam

accept_remm_peer = peer-id1[,peer-id2]...

  accept REMM requests from gbox peer(s), default:none

### The [scam] section

port = port

  UDP port for scam server, default:0

### The [dvbapi] section

enabled = 0|1

  1 = DVB API enabled, default:0

  Create file /tmp/.pauseoscam to pause DVB API, e.g. if STB goes into standby and OSCam remains as SC server only.

listen_port = 0|port

  TCP/IP port for SAT IP clients, filtering has to be done on client site, 0 = disabled, default:0

serverip = IP address

  bind service to specified IP address, default:none

user = username

  user name for DVB API client, default:anonymous

ignore = <CAID>[,<CAID>]... (detached by oscam.dvbapi, obsolete)

  CAIDs to be ignored, default:none

services = <service ID>[,<service ID>]... (detached by oscam.dvbapi, obsolete)

  services to be prioritized, default:none

priority = <CAID>:<provider ID>[,CAID:<provider ID>]... (detached by oscam.dvbapi, obsolete)

  CAIDs and provider IDs to be prioritized, default:CAIDs and provider IDs of local SCs will be prioritized

au = 0|1

  AU mode:

  0 = disable AU (default)
  1 = enable AU

pmt_mode = 0|1|2|3|4|5

  PMT mode:

  0 = use camd.socket and PMT file, default
  1 = disable reading PMT file
  2 = disable camd.socket
  3 = read PMT file on startup only
  4 = do not use signal handler for monitoring /tmp
  5 = do not use signal handler for monitoring /tmp,
  disable camd.socket

ecminfo_file = 0|1

  ecm.info file:

  0 = Disable ecm.info file
  1 = Enable ecm.info file (default)

ecminfo_type = 0|1|2|3|4|5

  ecm.info types:

  0 = OSCam syntax (default)
  1 = OSCam syntax with ECM time in ms instead of seconds
  2 = WiCardd
  3 = mgcamd
  4 = CCcam
  5 = camd3

request_mode = 0|1

  CAID request mode:

  0 = try all possible CAIDs one by one (default)
  1 = try all CAIDs simultaneously

boxtype = dbox2|dreambox|dm7000|duckbox|ufs910|ipbox|ipbox-pmt|qboxhd|coolstream|neumo|samygo|pc

  set boxtype, auto detection of DVB API will be aspired, default:dreambox

  ipbox with camd.socket support, currently only with PGI image version 0.6 or above, verified on HD models only

  ipbox-pmt can be used on any DGS based images (with or without camd.socket support), verified on HD models only

  pc is for generic pc support (currently supported on VDR with vdr-plugin-dvbapi)

read_sdt = 0|1|2

  mode of provider, channel name and service type auto detection via SDT:

  0 = disabled (default)
  1 = enabled for non FTA channels only
  2 = enabled for all channels

write_sdt_prov = 0|1

  mode writing provider name into oscam.srvid2 file:

  0 = disabled (default)
  1 = enabled

demuxer_fix = 0|1

  try fixing audio/video sync errors:

  0 = disabled (default)
  1 = enabled

cw_delay = milli-seconds

  delay of CW writing, default:none

delayer = milli-seconds

  minimum time to write CW, default:0

reopenonzap = 0|1

  1 = reopen demux devices on each channel switching, default:0

### The [anticasc] section

enabled = 0|1

  1 = enable anti-cascading, default:0

numusers = quantity

  anti-cascading: user per account, 0 = anti-cascading disabled, default:0

sampletime = minutes

  duration of sample, default:2

samples = quantity

  quantity of samples over limit, default:10

penalty = 0|1|2|3

  level of penalty:

  0 = only logging (default)
  1 = send fake CWs
  2 = temporary user ban
  3 = send delayed CWs

  penalty can be overwritten per user in oscam.user.

aclogfile = filename

  file for anti-cascading logging, default:none

fakedelay = milli-seconds

  fake delay time, default:1000, minimum value is 100, maximum value is 3000

denysamples = quantity

  how many samples should be penalized, default:8

acosc_enabled = 0|1

  1 = enable anti-cascading over SID count, default:0

acosc_max_active_sids = count

  maximum active SIDs with anti-cascading over SID, 0 = unlimited, default:0

  Can be overwritten per user in oscam.user.

acosc_max_ecms_per_minute = count

  maximum ecms per minute, 0 = unlimited, default:0

  Can be overwritten per user in oscam.user.

acosc_zap_limit = count

  zap limit for anti-cascading over SID, 0 = unlimited, default:0

  Can be overwritten per user in oscam.user.

acosc_penalty = 0|1|2|3|4

  level of penalty with anti-cascading over SID count:

  0 = only logging (default)
  1 = send fake CWs
  2 = temporary user ban
  3 = send delayed CWs
  4 = temporary hidecards to the client

  Can be overwritten per user in oscam.user.

acosc_penalty_duration = seconds

  penalty duration for anti-cascading over SID count, default:0

  Can be overwritten per user in oscam.user.

acosc_delay = milli-seconds

  delay for anti-cascading over SID count, default:0

  Can be overwritten per user in oscam.user.

## LOGGING

•
  reader stages

  1 = cacheex (=1) reader (C)
  2 = local SCs (L)
  3 = other reader / proxies (P)
  4 = fallback reader (F)

•
  logging format

  stage/used/chosen/possible

## MONITOR

monitor commands:

•
  login <user> <password>

  login (for unencrypted connections only)

•
  getuser <user> <parameter>=<value>

  get parameter for user

•
  setuser <user> <parameter>=<value>

  set parameter for user

•
  setserver <parameter>=<value>

  set parameter for server

•
  exit

  exit monitor

•
  log <on|onwohist|off>

  enable|enable without hitory|disable logging for 2 minutes

•
  status

  list of current processes and clients

•
  shutdown

  shutdown OSCam

•
  restart

  restart OSCam

•
  keepalive

  send keepalive

•
  reload

  reinit user db, clients and anti-cascading, for newcamd connections: after reloading the provid, please restart newcamd client

•
  details <PID>

  details about selected PID

•
  reread

  read again

•
  debug <level>

  set debug level (monlevel > 3 required)

  debug level mask:
  0 = no debugging (default)
  1 = detailed error messages
  2 = ATR parsing info, ECM dumps, CW dumps
  4 = traffic from/to the reader
  8 = traffic from/to the clients
  16 = traffic to the reader-device on IFD layer
  32 = traffic to the reader-device on I/O layer
  64 = EMM logging
  128 = DVB API logging
  256 = load balacing logging
  512 = cache exchange logging
  1024 = client ECM logging
  65535 = debug all

•
  version

  show OSCam version

•
  commands

  show all valid monitor commands

## WEB INTERFACE

•
  template system

  The web interface allows you to create your own template. For developing your own template request the orignal template with the non-linked page savetemplates.html. Store your own template in the directory specified by httptpl.

## CACHING

types of ECM caching:

•
  cache1

  ECM and CW in cache already.

•
  cache2

  ECM and checksum in cache already.

## SEE ALSO

list_smargo(1), oscam(1), oscam.ac(5), oscam.cacheex(5), oscam.cert(5), oscam.dvbapi(5), oscam.fakecws(5), oscam.guess(5), oscam.ird(5), oscam.provid(5), oscam.ratelimit(5), oscam.server(5), oscam.services(5), oscam.srvid(5), oscam.srvid2(5), oscam.tiers(5), oscam.user(5), oscam.whitelist(5)

## Index

NAME
SYNOPSIS
DESCRIPTIONS
  The [global] section
  The [monitor] section
  The [webif] section
  The [lcd] section
  The [cache] section
  The [camd33] section
  The [cs357x] section
  The [cs378x] section
  The [newcamd] section
  The [radegast] section
  The [serial] section
  The [cccam] section
  The [gbox] section
  The [scam] section
  The [dvbapi] section
  The [anticasc] section
LOGGING
MONITOR
WEB INTERFACE
CACHING
SEE ALSO